# This is a part of the Microsoft Foundation Classes C++ library.
# Copyright (C) 1994-1996 Watcom International Corporation
# All rights reserved.
#
# This source code is only intended as a supplement to the
# Microsoft Foundation Classes Reference and Microsoft
# QuickHelp and/or WinHelp documentation provided with the library.
# See these sources for detailed information regarding the
# Microsoft Foundation Classes product.

!ifdef afxdll
!  ifneq afxdll 0
!    error DLLTRACE may only be built with afxdll=0
!  endif
!else
afxdll = 0
!endif

!ifdef debug
!  ifneq debug 1
!    error DLLTRACE may only be built with debug=1
!  endif
!else
debug = 1
!endif

exe = hello1.exe
objs = hello1.obj
res = hello1.res
extralib = tracer.lib

goal: tracer.lib hello1.exe .symbolic
    @%null
   
!include ..\master.mif

tracer.lib : tracer.dll
    wlib -b -c -n $^@ +$[@

tracer.dll : tracer.obj tracer.lnk tracer.res
    wlink.exe $(lflags) file $[@ @$^&.lnk
!ifdef res
    wrc.exe $(rflags) $]@ $^@
!endif

tracer.lnk : $(__MAKEFILES__)
    %create $^@
    @%append $^@ system windows_dll initinstance memory
    @%append $^@ option map
    @%append $^@ reference __clib_WEP_
    
tracer.obj : tracer.cpp traceapi.h
    wpp.exe $[@ $(cflags) $(dbgflags) $(usrdllflags)
    
